Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.alerts.config
Class RemoveDefinitionForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.ScheduleForm
                          org.hyperic.hq.ui.action.resource.ResourceForm
                              org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.RemoveDefinitionForm

All Implemented Interfaces:
  java.io.Serializable

    public class RemoveDefinitionForm

extends ResourceForm

A subclass of `ResourceForm` representing the RemoveDefinition form.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.ui.action.ScheduleForm
`END_NEVER, END_ON_DATE, EVERY_DAY, EVERY_WEEKDAY, ON_DAY, ON_EACH, RECUR_DAILY, RECUR_MONTHLY, RECUR_NEVER, RECUR_WEEKLY, START_NOW, START_ON_DATE`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`RemoveDefinitionForm()`

Method Summary
`java.lang.Integer` | `getActive()`
`java.lang.Integer` | `getAd()`
`java.lang.String` | `getAetid()`
`java.lang.Integer[]` | `getDefinitions()` Getter for alert definitionss
`java.lang.String` | `getSetActiveInactive()`
`void` | `setActive(java.lang.Integer active)`
`void` | `setAd(java.lang.Integer ad)`
`void` | `setAetid(java.lang.String aetid)`
`void` | `setDefinitions(java.lang.Integer[] definitions)` Setter for alert definitions
`void` | `setSetActiveInactive(java.lang.String setActiveInactive)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.resource.ResourceForm
`getDescription, getEid, getLocation, getName, getResourceType, getResourceTypes, getRid, getType, isCanModify, loadResourceValue, reset, setCanModify, setDescription, setEid, setLocation, setName, setResourceType, setResourceTypes, setRid, setType, updateResourceValue, validate`

Methods inherited from class org.hyperic.hq.ui.action.ScheduleForm
`createSchedule, getControlActions, getEachDay, getEndTime, getIsNow, getMonthlyRecurrenceDay, getNumControlActions, getNumDays, getNumMonths, getNumWeeks, getRecurInterval, getRecurrenceDay, getRecurrenceFrequencyDaily, getRecurrenceFrequencyMonthly, getRecurrenceWeek, getStartTime, populateFromSchedule, setControlActions, setEachDay, setEndTime, setMonthlyRecurrenceDay, setNumControlActions, setNumDays, setNumMonths, setNumWeeks, setRecurInterval, setRecurrenceDay, setRecurrenceFrequencyDaily, setRecurrenceFrequencyMonthly, setRecurrenceWeek, setStartTime`

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getInitStartTime, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getWantEndDate, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, shouldValidateDateRange, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoveDefinitionForm

    public RemoveDefinitionForm()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ResourceForm`

### getDefinitions

    public java.lang.Integer[] getDefinitions()

  Getter for alert definitionss

  Returns:
    alert definitions in an array

### setDefinitions

    public void setDefinitions(java.lang.Integer[] definitions)

  Setter for alert definitions

  Parameters:
    `alert` - definitions As an Integer array

### getAd

    public java.lang.Integer getAd()

### setAd

    public void setAd(java.lang.Integer ad)

### getActive

    public java.lang.Integer getActive()

### setActive

    public void setActive(java.lang.Integer active)

### getSetActiveInactive

    public java.lang.String getSetActiveInactive()

### setSetActiveInactive

    public void setSetActiveInactive(java.lang.String setActiveInactive)

### getAetid

    public java.lang.String getAetid()

  Overrides:
    `getAetid` in class `ResourceForm`

### setAetid

    public void setAetid(java.lang.String aetid)

  Overrides:
    `setAetid` in class `ResourceForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.